Bug 256358 - www/squid: update to 4.15
Summary: www/squid: update to 4.15
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL: https://github.com/squid-cache/squid/...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-01 22:15 UTC by Pavel Timofeev
Modified: 2021-06-03 09:27 UTC (History)
2 users (show)

See Also:


Attachments
port patch (805 bytes, patch)
2021-06-01 22:15 UTC, Pavel Timofeev
timp87: maintainer-approval+
Details | Diff
port patch corrected (805 bytes, patch)
2021-06-02 18:00 UTC, Pavel Timofeev
timp87: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Timofeev 2021-06-01 22:15:22 UTC
Created attachment 225482 [details]
port patch

Update www/squid to 4.15
It contains fix for https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-28116
Comment 1 Nuno Teixeira freebsd_committer 2021-06-02 06:34:07 UTC
Hello!

1- please use DISTVERSION instead of PORTVERSION:
---
Example 2. Using DISTVERSION

When the version only contains numbers separated by dots, dashes or underscores, use DISTVERSION.

PORTNAME=   nekoto
DISTVERSION=	1.2-4

It will generate a PORTVERSION of 1.2.4.

https://docs.freebsd.org/en/books/porters-handbook/makefiles/#makefile-naming
---
Comment 2 Nuno Teixeira freebsd_committer 2021-06-02 06:35:25 UTC
- ChangeLog URL only show "Changes to squid-4.13 (23 Aug 2020):"
Comment 3 Pavel Timofeev 2021-06-02 18:00:36 UTC
Created attachment 225505 [details]
port patch corrected

(In reply to Nuno Teixeira from comment #2)
Sure, thank you.
New patch attached
Comment 4 Nuno Teixeira freebsd_committer 2021-06-03 06:29:45 UTC
I will need your name (first, last) so I can commit it with:

git commit --author="Name <email>

Update ready to commit
Comment 5 Pavel Timofeev 2021-06-03 08:56:33 UTC
(In reply to Nuno Teixeira from comment #4)
Pavel Timofeev <timp87@gmail.com>
Comment 6 commit-hook freebsd_committer 2021-06-03 09:16:15 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=b5c8df5328c5a588adb8b403a8e0829bd2fb8f96

commit b5c8df5328c5a588adb8b403a8e0829bd2fb8f96
Author:     Pavel Timofeev <timp87@gmail.com>
AuthorDate: 2021-06-03 09:11:38 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-06-03 09:15:08 +0000

    www/squid: update to 4.15

    - Use DISTVERSION instead of PORTVERSION

    ChangeLog: https://github.com/squid-cache/squid/pull/818/files#diff-91c5b46dc84a94604a4e4d0caed9bf85590a2eddbb12d2e8dc80badf324a9dfbR1-R16

    PR:             256358
    Approved by:    dbaio, garga (mentors, implicit)

 www/squid/Makefile | 2 +-
 www/squid/distinfo | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)
Comment 7 Nuno Teixeira freebsd_committer 2021-06-03 09:27:18 UTC
Committed thanks!